Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.management.jmx
Class ServiceAdministrator

    java.lang.Object
      org.apache.axis.management.jmx.ServiceAdministrator

All Implemented Interfaces:
  ServiceAdministratorMBean

public class ServiceAdministrator
extends java.lang.Object
implements ServiceAdministratorMBean

The ServiceAdmininstrator MBean exposes the org.apache.axis.management.ServiceAdmin object

Version:
  1.0
Author:
  bdillon

Constructor Summary
`ServiceAdministrator()` CTR

Method Summary
`java.lang.String` | `getVersion()` get the axis version
`void` | `restart()` restart the server
`void` | `start()` start the server
`void` | `startService(java.lang.String serviceName)` Start the Service
`void` | `stop()` stop the server
`void` | `stopService(java.lang.String serviceName)` Stop the Service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceAdministrator

    public ServiceAdministrator()

  CTR

Method Detail

### start

    public void start()

  start the server

  Specified by:
    `start` in interface `ServiceAdministratorMBean`

### stop

    public void stop()

  stop the server

  Specified by:
    `stop` in interface `ServiceAdministratorMBean`

### restart

    public void restart()

  restart the server

  Specified by:
    `restart` in interface `ServiceAdministratorMBean`

### startService

    public void startService(java.lang.String serviceName)
                      throws AxisFault,
                             ConfigurationException

  Start the Service

  Specified by:
    `startService` in interface `ServiceAdministratorMBean`
  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### stopService

    public void stopService(java.lang.String serviceName)
                     throws AxisFault,
                            ConfigurationException

  Stop the Service

  Specified by:
    `stopService` in interface `ServiceAdministratorMBean`
  Parameters:
    `serviceName` -
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

### getVersion

    public java.lang.String getVersion()

  get the axis version

  Specified by:
    `getVersion` in interface `ServiceAdministratorMBean`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.